package TDB::Event;
use parent 'DBIx::Class';
__PACKAGE__->load_components(qw<InflateColumn::DateTime Core>);
__PACKAGE__->table('events');
__PACKAGE__->add_columns( event_id   => { data_type => 'integer' },
						  name => { data_type => 'varchar' },
						  date => { data_type => 'datetime', is_nullable => 1, },
                          description => {data_type => 'varchar', is_nullable => 1 }, );
__PACKAGE__->set_primary_key( qw<event_id> );
1;